Get Gmail watch status
curl --request GET \
--url http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/status \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "inactive",
"isActive": true,
"emailAddress": "<string>",
"historyId": "<string>",
"expiration": "<string>",
"labelIds": [
"<string>"
],
"lastSyncAt": "<string>",
"lastRenewedAt": "<string>",
"lastErrorCode": "history_out_of_date",
"lastErrorAt": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Additional Endpoints
Get Gmail watch status
Get Gmail watch operational status.
GET
/
v3
/
integrations
/
gmail
/
{workspaceId}
/
gmail
/
{credentialsId}
/
watch
/
status
Get Gmail watch status
curl --request GET \
--url http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/status \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "inactive",
"isActive": true,
"emailAddress": "<string>",
"historyId": "<string>",
"expiration": "<string>",
"labelIds": [
"<string>"
],
"lastSyncAt": "<string>",
"lastRenewedAt": "<string>",
"lastErrorCode": "history_out_of_date",
"lastErrorAt": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
Available options:
inactive, active, expiring, expired, resync_required, configuration_error Available options:
history_out_of_date